Create Privilege Group (V2)
This operation creates a privilege group with the specified privileges.
POST
/v2/vectordb/privilege_groups/createThe base URL for this API is in the following format:
https://${CLUSTER_ENDPOINT}
📘Notes
- You need to fill in
${CLUSTER_ENDPOINT}with that of your Zilliz Cloud cluster. - To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired
The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.
Example Value: Bearer {{TOKEN}}
Request Bodyapplication/json
privilegeGroupNamestringrequired
The name of the privilege group to create.
privilegesarray
A list of privilege names to include in the group.
[]privilegesstring
(To be added soon)
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/privilege_groups/create" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"privilegeGroupName": "my_priv_group",
"privileges": [
"Insert",
"Search"
]
}'
Responses200 - application/json
codeinteger
Response code.
dataobject
Returns an error message.
codeinteger
Response code.
messagestring
Error message.
{
"code": 0,
"data": {}
}